CompactionIterable.Reducer (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.compaction

## Class CompactionIterable.Reducer

- java.lang.Object
- - org.apache.cassandra.utils.MergeIterator.Reducer<OnDiskAtomIterator,AbstractCompactedRow>
  - - org.apache.cassandra.db.compaction.CompactionIterable.Reducer

- Enclosing class:
    CompactionIterable

      protected class CompactionIterable.Reducer
      extends MergeIterator.Reducer<OnDiskAtomIterator,AbstractCompactedRow>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<OnDiskAtomIterator>` | `rows`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CompactionIterable.Reducer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractCompactedRow` | `getReduced()`
    `void` | `reduce(OnDiskAtomIterator current)` combine this object with the previous ones.

    - ### Methods inherited from class org.apache.cassandra.utils.MergeIterator.Reducer

      `close, onKeyChange, trivialReduceIsTrivial`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rows

          protected final java.util.List<OnDiskAtomIterator> rows

  - ### Constructor Detail

    - #### CompactionIterable.Reducer

          protected CompactionIterable.Reducer()

  - ### Method Detail

    - #### reduce

          public void reduce(OnDiskAtomIterator current)

      Description copied from class: `MergeIterator.Reducer`
      combine this object with the previous ones. intermediate state is up to your implementation.
      Specified by:
        `reduce` in class `MergeIterator.Reducer<OnDiskAtomIterator,AbstractCompactedRow>`

    - #### getReduced

          protected AbstractCompactedRow getReduced()

      Specified by:
        `getReduced` in class `MergeIterator.Reducer<OnDiskAtomIterator,AbstractCompactedRow>`
      Returns:
        The last object computed by reduce

Copyright © 2014 The Apache Software Foundation